Unassign a guest from a reservation

Unassign a single guest entity from a reservation. Guest entities are not tied to guestsCount or numberOfGuests. The booker cannot be unassigned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Guesty reservation ID

Body Params
string
required

Guest entity ID. Same value as _id on GET/PUT /reservations/{reservationId}/guests assign and unassign. Exposed here as _id.

Responses

400

Returned if required fields are missing or there is a validation error in the request

404

Returned if the reservation was not found

422

Returned if the guest cannot be unassigned (for example, booker or not assigned)

500

Indicates server-side error while processing the request

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json